BITCOIN-WALLET(1)

NAME
bitcoin-wallet - an offline tool for creating and interacting with Bitcoin Knots wallet files

SYNOPSIS
bitcoin-wallet [options] <command>

DESCRIPTION
Bitcoin Knots bitcoin-wallet utility version v29.1.0.knots20250903

bitcoin-wallet is an offline tool for creating and interacting with Bitcoin Knots wallet files.

By default bitcoin-wallet will act on wallets in the default mainnet wallet directory in the datadir.

To change the target wallet, use the -datadir, -wallet and (test)chain selection arguments.

OPTIONS

-datadir=<dir>

    Specify data directory

-descriptors

    Create descriptors wallet. Only for 'create'

-dumpfile=<file name>

    When used with 'dump', writes out the records to this file. When used with 'createfromdump', loads the records into a new wallet.

-format=<format>

    The format of the wallet file to create. Either "bdb" or "sqlite". Only used with 'createfromdump'

-help

    Print this help message and exit (also -h or -?)

-legacy

    Create legacy wallet. Only for 'create'

-version

    Print version and exit

-wallet=<wallet-name>

    Specify wallet name

Debugging/Testing options:

-debug=<category>

    Output debugging information (default: 0).

-printtoconsole

    Send trace/debug info to console (default: 1 when no -debug is true, 0 otherwise).

-withinternalbdb

    Use the internal Berkeley DB parser when dumping a Berkeley DB wallet file (default: false)

Chain selection options:

-chain=<chain>

    Use the chain <chain> (default: main). Allowed values: main, test, testnet4, signet, regtest

-signet

    Use the signet chain. Equivalent to -chain=signet. Note that the network is defined by the -signetchallenge parameter

-signetblocktime

    Difficulty adjustment will target a block time of the given amount in seconds (only for custom signet networks, must have -signetchallenge set; defaults to 10 minutes)

-signetchallenge

    Blocks must satisfy the given script to be considered valid (only for signet networks; defaults to the global default signet test network challenge)

-signetseednode

    Specify a seed node for the signet network, in the hostname[:port] format, e.g. sig.net:1234 (may be used multiple times to specify multiple seed nodes; defaults to the global default signet test network seed node(s))

-testnet

    Use the testnet3 chain. Equivalent to -chain=test. Support for testnet3 is deprecated and will be removed in an upcoming release. Consider moving to testnet4 now by using -testnet4.

-testnet4

    Use the testnet4 chain. Equivalent to -chain=testnet4.

Commands:

    create

    Create new wallet file

    createfromdump

    Create new wallet file from dumped records

    dump

    Print out all of the wallet key-value records

    importfromcoldcard

    Create new wallet file and import descriptors from Coldcard wallet

    info

    Get wallet info

    salvage

    Attempt to recover private keys from a corrupt wallet. Warning: 'salvage' is experimental.

COPYRIGHT
Copyright (C) 2009-2025 The Bitcoin Knots developers Copyright (C) 2009-2025 The Bitcoin Core developers

Please contribute if you find Bitcoin Knots useful. Visit <https://bitcoinknots.org/> for further information about the software. The source code is available from <https://github.com/bitcoinknots/bitcoin>.

This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT>

SEE ALSO
bitcoind(1), bitcoin-cli(1), bitcoin-tx(1), bitcoin-util(1), bitcoin-qt(1)